.modal {
	position: fixed;
	top: 0;
	right: 0;
	left: 0;
	bottom: 0;
	opacity: 0;
	visibility: hidden;
	overflow: hidden;
	background: rgba(0,0,0,.6);
	margin: 0;
	width: calc( 100% + 4px );
	height: calc( 100% + 4px );
	transition: all .25s cubic-bezier(.4,0,1,1);
}

.modal__background {
	width: 100%;
	height: 100%;
}

.modal__body {
	max-width: 1140px;
	width: 90%;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 10;
	background: var( --white );
	padding: 30px;
}

.modal-filter-enable .modal--filter,
.modal-chi-so-enable .modal--chi-so {
	z-index: 9999;
	opacity: 1;
	visibility: visible;
}

.modal__close {
	color: var( --dark-1 );
	font-size: 18px;
	position: absolute;
	top: 0px;
	right: 0px;
}

@import 'filter';
@import 'chi-so';
